al_destroy_mutex(3)

NAME

al_destroy_mutex - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    void al_destroy_mutex(ALLEGRO_MUTEX *mutex)

DESCRIPTION

Free the resources used by the mutex. The mutex should be unlocked. Destroying a locked mutex results in undefined behaviour.

Does nothing if mutex is NULL.